Bug 244136 - www/mattermost-{webapp,server}: Update to 5.21.0
Summary: www/mattermost-{webapp,server}: Update to 5.21.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Jochen Neumeister
URL:
Keywords: needs-patch, security
Depends on:
Blocks:
 
Reported: 2020-02-15 13:12 UTC by Marius Halden
Modified: 2020-07-23 18:11 UTC (History)
6 users (show)

See Also:
loic.blot: maintainer-feedback+


Attachments
mattermost-5.20.0.patch (16.85 KB, text/plain)
2020-02-15 13:12 UTC, Marius Halden
no flags Details
mattermost-5.20.0.patch (16.53 KB, patch)
2020-02-15 13:18 UTC, Marius Halden
no flags Details | Diff
mattermost-5.20.0-poudriere.log (48.75 KB, text/plain)
2020-02-15 13:21 UTC, Marius Halden
no flags Details
patch (18.92 KB, patch)
2020-02-24 19:32 UTC, Mikael Urankar
no flags Details | Diff
patch (47.90 KB, patch)
2020-03-25 17:59 UTC, Mikael Urankar
no flags Details | Diff
patch (19.27 KB, patch)
2020-03-26 16:10 UTC, Mikael Urankar
no flags Details | Diff
patch (19.20 KB, patch)
2020-03-26 16:13 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marius Halden 2020-02-15 13:12:00 UTC
Created attachment 211667 [details]
mattermost-5.20.0.patch

The attached patch updates mattermost to v5.20.0
Comment 1 Marius Halden 2020-02-15 13:18:38 UTC
Created attachment 211668 [details]
mattermost-5.20.0.patch

Re-uploaded patch so bugzilla would understand it's a patch.
Comment 2 Marius Halden 2020-02-15 13:21:03 UTC
Created attachment 211669 [details]
mattermost-5.20.0-poudriere.log

Poudriere log of build attached.
Comment 3 loic.blot 2020-02-18 19:10:34 UTC
Hello, thanks for your patch but 5.20.1 is out, please update :)

https://docs.mattermost.com/administration/changelog.html#release-v5-20-feature-release
Comment 4 Mikael Urankar freebsd_committer 2020-02-24 19:32:53 UTC
Created attachment 211908 [details]
patch

Update to 5.20.1
unbreak on aarch64
Comment 5 loic.blot 2020-03-23 18:03:08 UTC
i know i'm late but we should update to 5.21.0
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-24 09:10:40 UTC
A previous update (5.15.0 -> 5.19.1) in ports r525454 contained security fixes but didn't appear to be marked and/or merged as such.

From the 5.20.0 changelog entries: "Mattermost v5.20.0 contains a low level security fix"

From the 5.21.0 changelog entries: Mattermost v5.21.0 contains low level security fixes

Pending VuXML entries and 5.21.0 version update

For future version updates, please report whether or not they include security issues, so they can be triaged and merged appropriately.

Thanks!
Comment 7 Mikael Urankar freebsd_committer 2020-03-25 17:59:16 UTC
Created attachment 212706 [details]
patch

update to 5.21.0
Comment 8 loic.blot 2020-03-26 07:11:57 UTC
thanks for the patch, 2 questions:
* can you provide a poudriere testport output
* why add those GH_TUPLES ?
Comment 9 Mikael Urankar freebsd_committer 2020-03-26 16:10:37 UTC
Created attachment 212726 [details]
patch

I thought it was needed when go:modules is used.
poudriere testport ok
Comment 10 Mikael Urankar freebsd_committer 2020-03-26 16:13:31 UTC
Created attachment 212727 [details]
patch

add missing
@owner
@group
in www/mattermost-webapp/pkg-plist
Comment 11 Greg Fitzgerald 2020-05-17 03:42:21 UTC
Any updates on this?
Comment 12 commit-hook freebsd_committer 2020-07-23 16:47:47 UTC
A commit references this bug:

Author: joneum
Date: Thu Jul 23 16:47:15 UTC 2020
New revision: 542939
URL: https://svnweb.freebsd.org/changeset/ports/542939

Log:
  www/mattermost-{webapp,server}: Update to 5.21.0

  Mattermost v5.21.0 contains low level security fixes.
  Full Changlog: https://docs.mattermost.com/administration/changelog.html#release-v5-21-feature-release

  PR:		244136
  Reported by:	Marius Halden <marius.halden@modirum.com>
  Approved by:	loic.blot@unix-experience.fr (maintainer)
  MFH:		2020Q3
  Sponsored by:	Netzkommune GmbH

Changes:
  head/www/mattermost-server/Makefile
  head/www/mattermost-server/distinfo
  head/www/mattermost-server/files/patch-vendor_golang.org_x_sys_unix_ztypes__freebsd__arm64.go
  head/www/mattermost-webapp/Makefile
  head/www/mattermost-webapp/distinfo
  head/www/mattermost-webapp/pkg-plist
Comment 13 commit-hook freebsd_committer 2020-07-23 16:48:50 UTC
A commit references this bug:

Author: joneum
Date: Thu Jul 23 16:48:16 UTC 2020
New revision: 542940
URL: https://svnweb.freebsd.org/changeset/ports/542940

Log:
  MFH: r542939

  www/mattermost-{webapp,server}: Update to 5.21.0

  Mattermost v5.21.0 contains low level security fixes.
  Full Changlog: https://docs.mattermost.com/administration/changelog.html#release-v5-21-feature-release

  PR:		244136
  Reported by:	Marius Halden <marius.halden@modirum.com>
  Approved by:	loic.blot@unix-experience.fr (maintainer)
  Sponsored by:	Netzkommune GmbH

  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/www/mattermost-server/Makefile
  branches/2020Q3/www/mattermost-server/distinfo
  branches/2020Q3/www/mattermost-server/files/patch-vendor_golang.org_x_sys_unix_ztypes__freebsd__arm64.go
  branches/2020Q3/www/mattermost-webapp/Makefile
  branches/2020Q3/www/mattermost-webapp/distinfo
  branches/2020Q3/www/mattermost-webapp/pkg-plist
Comment 14 Greg Fitzgerald 2020-07-23 17:50:23 UTC
5.25 is out now and its  LTS release, might be a good idea to just bump up to that?
Comment 15 Jochen Neumeister freebsd_committer 2020-07-23 18:11:17 UTC
(In reply to Greg Fitzgerald from comment #14)
so please open a new PR with a bugfix